<?php

namespace VAC\VisitorAnalytics\Service;

include('Curl/vendor/autoload.php');

use TYPO3\CMS\Core\Utility\GeneralUtility;
use TYPO3\CMS\Extbase\Utility\DebuggerUtility;
use \Curl\Curl;

class ApiService
{

    private $apiUrl = null;

    public function __construct()
    {
        $objectManager = GeneralUtility::makeInstance('TYPO3\\CMS\\Extbase\\Object\\ObjectManager');
        //$configurationUtility = $objectManager->get('TYPO3\\CMS\\Extensionmanager\\Utility\\ConfigurationUtility');
        //$extensionConfiguration = $configurationUtility->getCurrentConfiguration('visitor_analytics');
        $this->apiUrl = 'https://sa-api.visitor-analytics.io';
    }

    /**
     * action doCurlGetRequest
     *
     * @param string $location
     * @param array $headers
     * @param array $request
     *
     * @return $result
     */

    public function doCurlGetRequest($location, $headers, $request=[])
    {
		$curl = curl_init();
		curl_setopt($curl, CURLOPT_URL, $this->apiUrl.$location);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($curl, CURLINFO_HEADER_OUT, true);
		curl_setopt($curl, CURLOPT_POST, false);

		// Set HTTP Header for POST request
		curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
		// Submit the POST request
		$result = curl_exec($curl);
		$error = curl_error($curl);
		$httpcode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
		curl_close($curl);
		if ($error) {
			return false;
		} else {
			return $result;
		}
    }

    /**
     * action doCurlPostRequest
     *
     * @param $location
     * @param $headers
     * @param $request
     *
     * @return $result
     */

    public function doCurlPostRequest($location, $headers, $request)
    {
        $curl = curl_init();
		curl_setopt($curl, CURLOPT_URL, $this->apiUrl.$location);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($curl, CURLINFO_HEADER_OUT, true);
		curl_setopt($curl, CURLOPT_POST, true);
		curl_setopt($curl, CURLOPT_POSTFIELDS, $request);

		// Set HTTP Header for POST request
		curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
		// Submit the POST request
		$result = curl_exec($curl);
		$error = curl_error($curl);
		$httpcode = curl_getinfo($curl, CURLINFO_HTTP_CODE);
		// Close cURL session handle
		curl_close($curl);
		if ($error) {
			return false;
		} else {
			return $result;
		}
    }
}
