<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:visitor_analytics/Resources/Private/Language/locallang_db.xlf:tx_visitoranalytics_domain_model_analytics',
        'label' => 'tracking_code',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'versioningWS' => true,
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => [
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ],
        'searchFields' => 'tracking_code,site_url,user_id,website_id,access_token,refresh_token, timezone',
        'iconfile' => 'EXT:visitor_analytics/Resources/Public/Icons/tx_visitoranalytics_domain_model_analytics.gif'
    ],
    'interface' => [
        'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, user_id, tracking_code, site_url, user_id, website_id, access_token, refresh_token, timezone',
    ],
    'types' => [
        '1' => ['showitem' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, user_id, tracking_code, site_url, user_id, website_id, access_token,refresh_token, timezone, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access, starttime, endtime'],
    ],
    'columns' => [
        'sys_language_uid' => [
            'exclude' => true,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.language',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'special' => 'languages',
                'items' => [
                    [
                        'LLL:EXT:lang/locallang_general.xlf:LGL.allLanguages',
                        -1,
                        'flags-multiple'
                    ]
                ],
                'default' => 0,
            ],
        ],
        'l10n_parent' => [
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => true,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.l18n_parent',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'default' => 0,
                'items' => [
                    ['', 0],
                ],
                'foreign_table' => 'tx_visitoranalytics_domain_model_analytics',
                'foreign_table_where' => 'AND tx_visitoranalytics_domain_model_analytics.pid=###CURRENT_PID### AND tx_visitoranalytics_domain_model_analytics.sys_language_uid IN (-1,0)',
            ],
        ],
        'l10n_diffsource' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
        't3ver_label' => [
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.versionLabel',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            ],
        ],
        'hidden' => [
            'exclude' => true,
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.hidden',
            'config' => [
                'type' => 'check',
                'items' => [
                    '1' => [
                        '0' => 'LLL:EXT:lang/Resources/Private/Language/locallang_core.xlf:labels.enabled'
                    ]
                ],
            ],
        ],
        'starttime' => [
            'exclude' => true,
            'behaviour' => [
                'allowLanguageSynchronization' => true
            ],
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.starttime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 13,
                'eval' => 'datetime',
                'default' => 0,
            ],
        ],
        'endtime' => [
            'exclude' => true,
            'behaviour' => [
                'allowLanguageSynchronization' => true
            ],
            'label' => 'LLL:EXT:lang/locallang_general.xlf:LGL.endtime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 13,
                'eval' => 'datetime',
                'default' => 0,
                'range' => [
                    'upper' => mktime(0, 0, 0, 1, 1, 2038)
                ],
            ],
        ],

        'tracking_code' => [
            'exclude' => true,
            'label' => 'LLL:EXT:visitor_analytics/Resources/Private/Language/locallang_db.xlf:tx_visitoranalytics_domain_model_analytics.tracking_code',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim'
            ]
        ],
        'site_url' => [
            'exclude' => true,
            'label' => 'LLL:EXT:visitor_analytics/Resources/Private/Language/locallang_db.xlf:tx_visitoranalytics_domain_model_analytics.site_url',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'user_id' => [
            'exclude' => true,
            'label' => 'LLL:EXT:visitor_analytics/Resources/Private/Language/locallang_db.xlf:tx_visitoranalytics_domain_model_analytics.user_id',
            'config' => [
                'type' => 'text',
                'size' => 60,
                'eval' => 'trim'
            ],
        ],
		'website_id' => [
            'exclude' => true,
            'label' => 'LLL:EXT:visitor_analytics/Resources/Private/Language/locallang_db.xlf:tx_visitoranalytics_domain_model_analytics.access_token',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim'
            ]
        ],
        'access_token' => [
            'exclude' => true,
            'label' => 'LLL:EXT:visitor_analytics/Resources/Private/Language/locallang_db.xlf:tx_visitoranalytics_domain_model_analytics.access_token',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim'
            ]
        ],
		'refresh_token' => [
            'exclude' => true,
            'label' => 'LLL:EXT:visitor_analytics/Resources/Private/Language/locallang_db.xlf:tx_visitoranalytics_domain_model_analytics.refresh_token',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim'
            ]
        ],
		'timezone' => [
            'exclude' => true,
            'label' => 'LLL:EXT:visitor_analytics/Resources/Private/Language/locallang_db.xlf:tx_visitoranalytics_domain_model_analytics.timezone',
            'config' => [
                'type' => 'text',
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim'
            ]
        ],

    ],
];
