<?php
namespace VAC\VisitorAnalytics\Tests\Unit\Controller;

/**
 * Test case.
 */
class AnalyticsControllerTest extends \TYPO3\CMS\Core\Tests\UnitTestCase
{
    /**
     * @var \VAC\VisitorAnalytics\Controller\AnalyticsController
     */
    protected $subject = null;

    protected function setUp()
    {
        parent::setUp();
        $this->subject = $this->getMockBuilder(\VAC\VisitorAnalytics\Controller\AnalyticsController::class)
            ->setMethods(['redirect', 'forward', 'addFlashMessage'])
            ->disableOriginalConstructor()
            ->getMock();
    }

    protected function tearDown()
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function listActionFetchesAllAnalyticssFromRepositoryAndAssignsThemToView()
    {

        $allAnalyticss = $this->getMockBuilder(\TYPO3\CMS\Extbase\Persistence\ObjectStorage::class)
            ->disableOriginalConstructor()
            ->getMock();

        $analyticsRepository = $this->getMockBuilder(\VAC\VisitorAnalytics\Domain\Repository\AnalyticsRepository::class)
            ->setMethods(['findAll'])
            ->disableOriginalConstructor()
            ->getMock();
        $analyticsRepository->expects(self::once())->method('findAll')->will(self::returnValue($allAnalyticss));
        $this->inject($this->subject, 'analyticsRepository', $analyticsRepository);

        $view = $this->getMockBuilder(\TYPO3\CMS\Extbase\Mvc\View\ViewInterface::class)->getMock();
        $view->expects(self::once())->method('assign')->with('analyticss', $allAnalyticss);
        $this->inject($this->subject, 'view', $view);

        $this->subject->listAction();
    }

    /**
     * @test
     */
    public function showActionAssignsTheGivenAnalyticsToView()
    {
        $analytics = new \VAC\VisitorAnalytics\Domain\Model\Analytics();

        $view = $this->getMockBuilder(\TYPO3\CMS\Extbase\Mvc\View\ViewInterface::class)->getMock();
        $this->inject($this->subject, 'view', $view);
        $view->expects(self::once())->method('assign')->with('analytics', $analytics);

        $this->subject->showAction($analytics);
    }
}
