<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function()
    {

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'VAC.VisitorAnalytics',
            'Visitoranalyticscore',
            [
                'Analytics' => 'login,register,refreshToken,getCode,list, show,addTrackingCode, addWebsite,activateTrackingCode'
            ],
            // non-cacheable actions
            [
                'Analytics' => 'login,register,refreshToken,getCode,list, show,addTrackingCode, addWebsite,activateTrackingCode'
            ]
        );

    // wizards
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
        'mod {
            wizards.newContentElement.wizardItems.plugins {
                elements {
                    visitoranalyticscore {
                        iconIdentifier = visitor_analytics-plugin-visitoranalyticscore
                        title = LLL:EXT:visitor_analytics/Resources/Private/Language/locallang_db.xlf:tx_visitor_analytics_visitoranalyticscore.name
                        description = LLL:EXT:visitor_analytics/Resources/Private/Language/locallang_db.xlf:tx_visitor_analytics_visitoranalyticscore.description
                        tt_content_defValues {
                            CType = list
                            list_type = visitoranalytics_visitoranalyticscore
                        }
                    }
                }
                show = *
            }
       }'
    );
		$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);

			$iconRegistry->registerIcon(
				'visitor_analytics-plugin-visitoranalyticscore',
				\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
				['source' => 'EXT:visitor_analytics/Resources/Public/Images/va-icon.svg']
			);

    }
);

$signalSlotDispatcher = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Extbase\SignalSlot\Dispatcher::class);
$signalSlotDispatcher->connect(
 \TYPO3\CMS\Extensionmanager\Utility\InstallUtility::class,
 'afterExtensionUninstall',
 VAC\VisitorAnalytics\Helper\ClassLoadingInformation::class,
 'dumpClassLoadingInformation'
);
